# /delete

{% hint style="info" %}
This endpoint requires a POST request!
{% endhint %}

### Endpoint Headers:

* bot-token - Token of the Bot <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* chan-id - ID of the channel to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* msg-id - ID of the message to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Endpoint Body Parameters

* emoji - The emoji to be fetched <mark style="color:orange;">**\[Unicode Emoji OR String]**</mark> (<mark style="color:green;">**Optional**</mark>)&#x20;
* user-id - Delete specific users' reactions <mark style="color:orange;">**\[String]**</mark> (<mark style="color:green;">**Optional**</mark>)

{% hint style="info" %}
If no `emoji` was specified, it will delete all reactions otherwise it will delete the one emoji specified. <br>

If no `user-id` was specified, it will delete all reactions otherwise it will delete the one from the user specified.&#x20;
{% endhint %}

{% hint style="warning" %}
Default emojis must be sent as unicode

Custom Emojis must be sent as `name:id`
{% endhint %}

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/reaction/delete` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpAddHeader[bot-token;<YOUR-BOT-TOKEN>]
$httpAddHeader[chan-id;1064098700307218463]
$httpAddHeader[msg-id;1064098700847210194]
$httpPost[https://bdfddata.rickyjs.xyz/<version>/reaction/delete;{
'emoji': <EMOJI>,
'user-id': '672215920558604332'
}]


$httpResult OR $httpResult[details]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/reaction/delete` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
return await axios.post('https://bdfddata.rickyjs.xyz/<version>/reaction/delete', {
'emoji': <EMOJI>,
'user-id': '672215920558604332'
}, { 
headers: {
'apikey': <YOUR-API-KEY>,
'bot-token': <YOUR-BOT-TOKEN>,
'guild-id': '1064098700307218463',
'chan-id': '1064098700307218463',
'msg-id': '1064098700847210194'
}
}).then(res=>res.data)
})()
```

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200</summary>

API succeeded and details were fetched.

(Retrieves emoji info of the reactions on the message)

```javascript
{
 status: 200,
 // if successful, nothing gets returned. else will say 'Unkown Emoji'
}
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 406</summary>

Body parameters were sent incoherently and could not be computed.

```
{ 
status: 406, 
error: 'Invalid formation of body paramaters.' 
}
```

</details>

<details>

<summary>Code 401</summary>

Invalid bot token was provided.

```javascript
{
  status: 401,
  details: { message: '401: Unauthorized', code: 0 }
}
```

</details>
